curl --location --request POST 'https://dashboard.laburen.com/api/annotations/tags' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <API_KEY>' \
--data-raw '{
"name": "bug"
}'
const apiUrl = 'https://dashboard.laburen.com/api';
const apiKey = '<API_KEY>';
const response = await fetch(`${apiUrl}/annotations/tags`, {
method: 'POST',
headers: {
'Content-Type': 'application/json',
'Authorization': `Bearer ${apiKey}`,
},
body: JSON.stringify({
name: 'bug',
}),
});
const data = await response.json();
console.log(data);
import requests
api_url = "https://dashboard.laburen.com/api"
api_key = "<API_KEY>"
response = requests.post(
f"{api_url}/annotations/tags",
headers={
"Content-Type": "application/json",
"Authorization": f"Bearer {api_key}",
},
json={
"name": "bug",
},
)
data = response.json()
print(data)
{
"id": "clxxxxxxxxxxxxxxxxx",
"name": "bug",
"organizationId": "clxxxxxxxxxxxxxxxxx",
"createdAt": "2025-01-15T10:30:00.000Z",
"updatedAt": "2025-01-15T10:30:00.000Z"
}
Annotations
Annotation Tags - Create
Create a new annotation tag for the organization.
POST
/
api
/
annotations
/
tags
curl --location --request POST 'https://dashboard.laburen.com/api/annotations/tags' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <API_KEY>' \
--data-raw '{
"name": "bug"
}'
const apiUrl = 'https://dashboard.laburen.com/api';
const apiKey = '<API_KEY>';
const response = await fetch(`${apiUrl}/annotations/tags`, {
method: 'POST',
headers: {
'Content-Type': 'application/json',
'Authorization': `Bearer ${apiKey}`,
},
body: JSON.stringify({
name: 'bug',
}),
});
const data = await response.json();
console.log(data);
import requests
api_url = "https://dashboard.laburen.com/api"
api_key = "<API_KEY>"
response = requests.post(
f"{api_url}/annotations/tags",
headers={
"Content-Type": "application/json",
"Authorization": f"Bearer {api_key}",
},
json={
"name": "bug",
},
)
data = response.json()
print(data)
{
"id": "clxxxxxxxxxxxxxxxxx",
"name": "bug",
"organizationId": "clxxxxxxxxxxxxxxxxx",
"createdAt": "2025-01-15T10:30:00.000Z",
"updatedAt": "2025-01-15T10:30:00.000Z"
}
This endpoint creates a new annotation tag for the authenticated user’s organization. It supports:
- Creating tags with unique names per organization
- Automatic duplicate detection (prevents creating tags with the same name)
Body
Required
string
required
The name of the annotation tag. Must be unique within the organization.
Response
string
Unique identifier of the created annotation tag (CUID format).
string
Name of the annotation tag.
string
ID of the organization the tag belongs to.
string
ISO 8601 timestamp of when the tag was created.
string
ISO 8601 timestamp of when the tag was last updated.
Error Responses
| Status Code | Type | Description |
|---|---|---|
| 401 | UNAUTHORIZED | Missing or invalid authentication session. |
| 409 | ALREADY_EXISTS | A tag with the same name already exists in the organization. |
curl --location --request POST 'https://dashboard.laburen.com/api/annotations/tags' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <API_KEY>' \
--data-raw '{
"name": "bug"
}'
const apiUrl = 'https://dashboard.laburen.com/api';
const apiKey = '<API_KEY>';
const response = await fetch(`${apiUrl}/annotations/tags`, {
method: 'POST',
headers: {
'Content-Type': 'application/json',
'Authorization': `Bearer ${apiKey}`,
},
body: JSON.stringify({
name: 'bug',
}),
});
const data = await response.json();
console.log(data);
import requests
api_url = "https://dashboard.laburen.com/api"
api_key = "<API_KEY>"
response = requests.post(
f"{api_url}/annotations/tags",
headers={
"Content-Type": "application/json",
"Authorization": f"Bearer {api_key}",
},
json={
"name": "bug",
},
)
data = response.json()
print(data)
{
"id": "clxxxxxxxxxxxxxxxxx",
"name": "bug",
"organizationId": "clxxxxxxxxxxxxxxxxx",
"createdAt": "2025-01-15T10:30:00.000Z",
"updatedAt": "2025-01-15T10:30:00.000Z"
}
Was this page helpful?

